Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network21.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
21.192.0.0
Broadcast address
21.223.255.255
First usable
21.192.0.1
Last usable
21.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 15C00000 · Integer 364904448 to 367001599
Reverse DNS zones
192.21.in-addr.arpa
193.21.in-addr.arpa
194.21.in-addr.arpa
195.21.in-addr.arpa
196.21.in-addr.arpa
197.21.in-addr.arpa
198.21.in-addr.arpa
199.21.in-addr.arpa
200.21.in-addr.arpa
201.21.in-addr.arpa
202.21.in-addr.arpa
203.21.in-addr.arpa
204.21.in-addr.arpa
205.21.in-addr.arpa
206.21.in-addr.arpa
207.21.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010101.11000000.00000000.0000000021.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010101.11000000.00000000.0000000021.192.0.0
Broadcast00010101.11011111.11111111.1111111121.223.255.255
Split into smaller subnets/20

21.192.0.0/11 makes 512 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
121.192.0.0/2021.192.0.1 to 21.192.15.25421.192.15.2554,094
221.192.16.0/2021.192.16.1 to 21.192.31.25421.192.31.2554,094
321.192.32.0/2021.192.32.1 to 21.192.47.25421.192.47.2554,094
421.192.48.0/2021.192.48.1 to 21.192.63.25421.192.63.2554,094
521.192.64.0/2021.192.64.1 to 21.192.79.25421.192.79.2554,094
621.192.80.0/2021.192.80.1 to 21.192.95.25421.192.95.2554,094
721.192.96.0/2021.192.96.1 to 21.192.111.25421.192.111.2554,094
821.192.112.0/2021.192.112.1 to 21.192.127.25421.192.127.2554,094
921.192.128.0/2021.192.128.1 to 21.192.143.25421.192.143.2554,094
1021.192.144.0/2021.192.144.1 to 21.192.159.25421.192.159.2554,094
1121.192.160.0/2021.192.160.1 to 21.192.175.25421.192.175.2554,094
1221.192.176.0/2021.192.176.1 to 21.192.191.25421.192.191.2554,094
1321.192.192.0/2021.192.192.1 to 21.192.207.25421.192.207.2554,094
1421.192.208.0/2021.192.208.1 to 21.192.223.25421.192.223.2554,094
1521.192.224.0/2021.192.224.1 to 21.192.239.25421.192.239.2554,094
1621.192.240.0/2021.192.240.1 to 21.192.255.25421.192.255.2554,094
1721.193.0.0/2021.193.0.1 to 21.193.15.25421.193.15.2554,094
1821.193.16.0/2021.193.16.1 to 21.193.31.25421.193.31.2554,094
1921.193.32.0/2021.193.32.1 to 21.193.47.25421.193.47.2554,094
2021.193.48.0/2021.193.48.1 to 21.193.63.25421.193.63.2554,094
2121.193.64.0/2021.193.64.1 to 21.193.79.25421.193.79.2554,094
2221.193.80.0/2021.193.80.1 to 21.193.95.25421.193.95.2554,094
2321.193.96.0/2021.193.96.1 to 21.193.111.25421.193.111.2554,094
2421.193.112.0/2021.193.112.1 to 21.193.127.25421.193.127.2554,094
2521.193.128.0/2021.193.128.1 to 21.193.143.25421.193.143.2554,094
2621.193.144.0/2021.193.144.1 to 21.193.159.25421.193.159.2554,094
2721.193.160.0/2021.193.160.1 to 21.193.175.25421.193.175.2554,094
2821.193.176.0/2021.193.176.1 to 21.193.191.25421.193.191.2554,094
2921.193.192.0/2021.193.192.1 to 21.193.207.25421.193.207.2554,094
3021.193.208.0/2021.193.208.1 to 21.193.223.25421.193.223.2554,094
3121.193.224.0/2021.193.224.1 to 21.193.239.25421.193.239.2554,094
3221.193.240.0/2021.193.240.1 to 21.193.255.25421.193.255.2554,094
3321.194.0.0/2021.194.0.1 to 21.194.15.25421.194.15.2554,094
3421.194.16.0/2021.194.16.1 to 21.194.31.25421.194.31.2554,094
3521.194.32.0/2021.194.32.1 to 21.194.47.25421.194.47.2554,094
3621.194.48.0/2021.194.48.1 to 21.194.63.25421.194.63.2554,094
3721.194.64.0/2021.194.64.1 to 21.194.79.25421.194.79.2554,094
3821.194.80.0/2021.194.80.1 to 21.194.95.25421.194.95.2554,094
3921.194.96.0/2021.194.96.1 to 21.194.111.25421.194.111.2554,094
4021.194.112.0/2021.194.112.1 to 21.194.127.25421.194.127.2554,094
4121.194.128.0/2021.194.128.1 to 21.194.143.25421.194.143.2554,094
4221.194.144.0/2021.194.144.1 to 21.194.159.25421.194.159.2554,094
4321.194.160.0/2021.194.160.1 to 21.194.175.25421.194.175.2554,094
4421.194.176.0/2021.194.176.1 to 21.194.191.25421.194.191.2554,094
4521.194.192.0/2021.194.192.1 to 21.194.207.25421.194.207.2554,094
4621.194.208.0/2021.194.208.1 to 21.194.223.25421.194.223.2554,094
4721.194.224.0/2021.194.224.1 to 21.194.239.25421.194.239.2554,094
4821.194.240.0/2021.194.240.1 to 21.194.255.25421.194.255.2554,094
4921.195.0.0/2021.195.0.1 to 21.195.15.25421.195.15.2554,094
5021.195.16.0/2021.195.16.1 to 21.195.31.25421.195.31.2554,094
5121.195.32.0/2021.195.32.1 to 21.195.47.25421.195.47.2554,094
5221.195.48.0/2021.195.48.1 to 21.195.63.25421.195.63.2554,094
5321.195.64.0/2021.195.64.1 to 21.195.79.25421.195.79.2554,094
5421.195.80.0/2021.195.80.1 to 21.195.95.25421.195.95.2554,094
5521.195.96.0/2021.195.96.1 to 21.195.111.25421.195.111.2554,094
5621.195.112.0/2021.195.112.1 to 21.195.127.25421.195.127.2554,094
5721.195.128.0/2021.195.128.1 to 21.195.143.25421.195.143.2554,094
5821.195.144.0/2021.195.144.1 to 21.195.159.25421.195.159.2554,094
5921.195.160.0/2021.195.160.1 to 21.195.175.25421.195.175.2554,094
6021.195.176.0/2021.195.176.1 to 21.195.191.25421.195.191.2554,094
6121.195.192.0/2021.195.192.1 to 21.195.207.25421.195.207.2554,094
6221.195.208.0/2021.195.208.1 to 21.195.223.25421.195.223.2554,094
6321.195.224.0/2021.195.224.1 to 21.195.239.25421.195.239.2554,094
6421.195.240.0/2021.195.240.1 to 21.195.255.25421.195.255.2554,094
6521.196.0.0/2021.196.0.1 to 21.196.15.25421.196.15.2554,094
6621.196.16.0/2021.196.16.1 to 21.196.31.25421.196.31.2554,094
6721.196.32.0/2021.196.32.1 to 21.196.47.25421.196.47.2554,094
6821.196.48.0/2021.196.48.1 to 21.196.63.25421.196.63.2554,094
6921.196.64.0/2021.196.64.1 to 21.196.79.25421.196.79.2554,094
7021.196.80.0/2021.196.80.1 to 21.196.95.25421.196.95.2554,094
7121.196.96.0/2021.196.96.1 to 21.196.111.25421.196.111.2554,094
7221.196.112.0/2021.196.112.1 to 21.196.127.25421.196.127.2554,094
7321.196.128.0/2021.196.128.1 to 21.196.143.25421.196.143.2554,094
7421.196.144.0/2021.196.144.1 to 21.196.159.25421.196.159.2554,094
7521.196.160.0/2021.196.160.1 to 21.196.175.25421.196.175.2554,094
7621.196.176.0/2021.196.176.1 to 21.196.191.25421.196.191.2554,094
7721.196.192.0/2021.196.192.1 to 21.196.207.25421.196.207.2554,094
7821.196.208.0/2021.196.208.1 to 21.196.223.25421.196.223.2554,094
7921.196.224.0/2021.196.224.1 to 21.196.239.25421.196.239.2554,094
8021.196.240.0/2021.196.240.1 to 21.196.255.25421.196.255.2554,094
8121.197.0.0/2021.197.0.1 to 21.197.15.25421.197.15.2554,094
8221.197.16.0/2021.197.16.1 to 21.197.31.25421.197.31.2554,094
8321.197.32.0/2021.197.32.1 to 21.197.47.25421.197.47.2554,094
8421.197.48.0/2021.197.48.1 to 21.197.63.25421.197.63.2554,094
8521.197.64.0/2021.197.64.1 to 21.197.79.25421.197.79.2554,094
8621.197.80.0/2021.197.80.1 to 21.197.95.25421.197.95.2554,094
8721.197.96.0/2021.197.96.1 to 21.197.111.25421.197.111.2554,094
8821.197.112.0/2021.197.112.1 to 21.197.127.25421.197.127.2554,094
8921.197.128.0/2021.197.128.1 to 21.197.143.25421.197.143.2554,094
9021.197.144.0/2021.197.144.1 to 21.197.159.25421.197.159.2554,094
9121.197.160.0/2021.197.160.1 to 21.197.175.25421.197.175.2554,094
9221.197.176.0/2021.197.176.1 to 21.197.191.25421.197.191.2554,094
9321.197.192.0/2021.197.192.1 to 21.197.207.25421.197.207.2554,094
9421.197.208.0/2021.197.208.1 to 21.197.223.25421.197.223.2554,094
9521.197.224.0/2021.197.224.1 to 21.197.239.25421.197.239.2554,094
9621.197.240.0/2021.197.240.1 to 21.197.255.25421.197.255.2554,094
9721.198.0.0/2021.198.0.1 to 21.198.15.25421.198.15.2554,094
9821.198.16.0/2021.198.16.1 to 21.198.31.25421.198.31.2554,094
9921.198.32.0/2021.198.32.1 to 21.198.47.25421.198.47.2554,094
10021.198.48.0/2021.198.48.1 to 21.198.63.25421.198.63.2554,094
10121.198.64.0/2021.198.64.1 to 21.198.79.25421.198.79.2554,094
10221.198.80.0/2021.198.80.1 to 21.198.95.25421.198.95.2554,094
10321.198.96.0/2021.198.96.1 to 21.198.111.25421.198.111.2554,094
10421.198.112.0/2021.198.112.1 to 21.198.127.25421.198.127.2554,094
10521.198.128.0/2021.198.128.1 to 21.198.143.25421.198.143.2554,094
10621.198.144.0/2021.198.144.1 to 21.198.159.25421.198.159.2554,094
10721.198.160.0/2021.198.160.1 to 21.198.175.25421.198.175.2554,094
10821.198.176.0/2021.198.176.1 to 21.198.191.25421.198.191.2554,094
10921.198.192.0/2021.198.192.1 to 21.198.207.25421.198.207.2554,094
11021.198.208.0/2021.198.208.1 to 21.198.223.25421.198.223.2554,094
11121.198.224.0/2021.198.224.1 to 21.198.239.25421.198.239.2554,094
11221.198.240.0/2021.198.240.1 to 21.198.255.25421.198.255.2554,094
11321.199.0.0/2021.199.0.1 to 21.199.15.25421.199.15.2554,094
11421.199.16.0/2021.199.16.1 to 21.199.31.25421.199.31.2554,094
11521.199.32.0/2021.199.32.1 to 21.199.47.25421.199.47.2554,094
11621.199.48.0/2021.199.48.1 to 21.199.63.25421.199.63.2554,094
11721.199.64.0/2021.199.64.1 to 21.199.79.25421.199.79.2554,094
11821.199.80.0/2021.199.80.1 to 21.199.95.25421.199.95.2554,094
11921.199.96.0/2021.199.96.1 to 21.199.111.25421.199.111.2554,094
12021.199.112.0/2021.199.112.1 to 21.199.127.25421.199.127.2554,094
12121.199.128.0/2021.199.128.1 to 21.199.143.25421.199.143.2554,094
12221.199.144.0/2021.199.144.1 to 21.199.159.25421.199.159.2554,094
12321.199.160.0/2021.199.160.1 to 21.199.175.25421.199.175.2554,094
12421.199.176.0/2021.199.176.1 to 21.199.191.25421.199.191.2554,094
12521.199.192.0/2021.199.192.1 to 21.199.207.25421.199.207.2554,094
12621.199.208.0/2021.199.208.1 to 21.199.223.25421.199.223.2554,094
12721.199.224.0/2021.199.224.1 to 21.199.239.25421.199.239.2554,094
12821.199.240.0/2021.199.240.1 to 21.199.255.25421.199.255.2554,094
12921.200.0.0/2021.200.0.1 to 21.200.15.25421.200.15.2554,094
13021.200.16.0/2021.200.16.1 to 21.200.31.25421.200.31.2554,094
13121.200.32.0/2021.200.32.1 to 21.200.47.25421.200.47.2554,094
13221.200.48.0/2021.200.48.1 to 21.200.63.25421.200.63.2554,094
13321.200.64.0/2021.200.64.1 to 21.200.79.25421.200.79.2554,094
13421.200.80.0/2021.200.80.1 to 21.200.95.25421.200.95.2554,094
13521.200.96.0/2021.200.96.1 to 21.200.111.25421.200.111.2554,094
13621.200.112.0/2021.200.112.1 to 21.200.127.25421.200.127.2554,094
13721.200.128.0/2021.200.128.1 to 21.200.143.25421.200.143.2554,094
13821.200.144.0/2021.200.144.1 to 21.200.159.25421.200.159.2554,094
13921.200.160.0/2021.200.160.1 to 21.200.175.25421.200.175.2554,094
14021.200.176.0/2021.200.176.1 to 21.200.191.25421.200.191.2554,094
14121.200.192.0/2021.200.192.1 to 21.200.207.25421.200.207.2554,094
14221.200.208.0/2021.200.208.1 to 21.200.223.25421.200.223.2554,094
14321.200.224.0/2021.200.224.1 to 21.200.239.25421.200.239.2554,094
14421.200.240.0/2021.200.240.1 to 21.200.255.25421.200.255.2554,094
14521.201.0.0/2021.201.0.1 to 21.201.15.25421.201.15.2554,094
14621.201.16.0/2021.201.16.1 to 21.201.31.25421.201.31.2554,094
14721.201.32.0/2021.201.32.1 to 21.201.47.25421.201.47.2554,094
14821.201.48.0/2021.201.48.1 to 21.201.63.25421.201.63.2554,094
14921.201.64.0/2021.201.64.1 to 21.201.79.25421.201.79.2554,094
15021.201.80.0/2021.201.80.1 to 21.201.95.25421.201.95.2554,094
15121.201.96.0/2021.201.96.1 to 21.201.111.25421.201.111.2554,094
15221.201.112.0/2021.201.112.1 to 21.201.127.25421.201.127.2554,094
15321.201.128.0/2021.201.128.1 to 21.201.143.25421.201.143.2554,094
15421.201.144.0/2021.201.144.1 to 21.201.159.25421.201.159.2554,094
15521.201.160.0/2021.201.160.1 to 21.201.175.25421.201.175.2554,094
15621.201.176.0/2021.201.176.1 to 21.201.191.25421.201.191.2554,094
15721.201.192.0/2021.201.192.1 to 21.201.207.25421.201.207.2554,094
15821.201.208.0/2021.201.208.1 to 21.201.223.25421.201.223.2554,094
15921.201.224.0/2021.201.224.1 to 21.201.239.25421.201.239.2554,094
16021.201.240.0/2021.201.240.1 to 21.201.255.25421.201.255.2554,094
16121.202.0.0/2021.202.0.1 to 21.202.15.25421.202.15.2554,094
16221.202.16.0/2021.202.16.1 to 21.202.31.25421.202.31.2554,094
16321.202.32.0/2021.202.32.1 to 21.202.47.25421.202.47.2554,094
16421.202.48.0/2021.202.48.1 to 21.202.63.25421.202.63.2554,094
16521.202.64.0/2021.202.64.1 to 21.202.79.25421.202.79.2554,094
16621.202.80.0/2021.202.80.1 to 21.202.95.25421.202.95.2554,094
16721.202.96.0/2021.202.96.1 to 21.202.111.25421.202.111.2554,094
16821.202.112.0/2021.202.112.1 to 21.202.127.25421.202.127.2554,094
16921.202.128.0/2021.202.128.1 to 21.202.143.25421.202.143.2554,094
17021.202.144.0/2021.202.144.1 to 21.202.159.25421.202.159.2554,094
17121.202.160.0/2021.202.160.1 to 21.202.175.25421.202.175.2554,094
17221.202.176.0/2021.202.176.1 to 21.202.191.25421.202.191.2554,094
17321.202.192.0/2021.202.192.1 to 21.202.207.25421.202.207.2554,094
17421.202.208.0/2021.202.208.1 to 21.202.223.25421.202.223.2554,094
17521.202.224.0/2021.202.224.1 to 21.202.239.25421.202.239.2554,094
17621.202.240.0/2021.202.240.1 to 21.202.255.25421.202.255.2554,094
17721.203.0.0/2021.203.0.1 to 21.203.15.25421.203.15.2554,094
17821.203.16.0/2021.203.16.1 to 21.203.31.25421.203.31.2554,094
17921.203.32.0/2021.203.32.1 to 21.203.47.25421.203.47.2554,094
18021.203.48.0/2021.203.48.1 to 21.203.63.25421.203.63.2554,094
18121.203.64.0/2021.203.64.1 to 21.203.79.25421.203.79.2554,094
18221.203.80.0/2021.203.80.1 to 21.203.95.25421.203.95.2554,094
18321.203.96.0/2021.203.96.1 to 21.203.111.25421.203.111.2554,094
18421.203.112.0/2021.203.112.1 to 21.203.127.25421.203.127.2554,094
18521.203.128.0/2021.203.128.1 to 21.203.143.25421.203.143.2554,094
18621.203.144.0/2021.203.144.1 to 21.203.159.25421.203.159.2554,094
18721.203.160.0/2021.203.160.1 to 21.203.175.25421.203.175.2554,094
18821.203.176.0/2021.203.176.1 to 21.203.191.25421.203.191.2554,094
18921.203.192.0/2021.203.192.1 to 21.203.207.25421.203.207.2554,094
19021.203.208.0/2021.203.208.1 to 21.203.223.25421.203.223.2554,094
19121.203.224.0/2021.203.224.1 to 21.203.239.25421.203.239.2554,094
19221.203.240.0/2021.203.240.1 to 21.203.255.25421.203.255.2554,094
19321.204.0.0/2021.204.0.1 to 21.204.15.25421.204.15.2554,094
19421.204.16.0/2021.204.16.1 to 21.204.31.25421.204.31.2554,094
19521.204.32.0/2021.204.32.1 to 21.204.47.25421.204.47.2554,094
19621.204.48.0/2021.204.48.1 to 21.204.63.25421.204.63.2554,094
19721.204.64.0/2021.204.64.1 to 21.204.79.25421.204.79.2554,094
19821.204.80.0/2021.204.80.1 to 21.204.95.25421.204.95.2554,094
19921.204.96.0/2021.204.96.1 to 21.204.111.25421.204.111.2554,094
20021.204.112.0/2021.204.112.1 to 21.204.127.25421.204.127.2554,094
20121.204.128.0/2021.204.128.1 to 21.204.143.25421.204.143.2554,094
20221.204.144.0/2021.204.144.1 to 21.204.159.25421.204.159.2554,094
20321.204.160.0/2021.204.160.1 to 21.204.175.25421.204.175.2554,094
20421.204.176.0/2021.204.176.1 to 21.204.191.25421.204.191.2554,094
20521.204.192.0/2021.204.192.1 to 21.204.207.25421.204.207.2554,094
20621.204.208.0/2021.204.208.1 to 21.204.223.25421.204.223.2554,094
20721.204.224.0/2021.204.224.1 to 21.204.239.25421.204.239.2554,094
20821.204.240.0/2021.204.240.1 to 21.204.255.25421.204.255.2554,094
20921.205.0.0/2021.205.0.1 to 21.205.15.25421.205.15.2554,094
21021.205.16.0/2021.205.16.1 to 21.205.31.25421.205.31.2554,094
21121.205.32.0/2021.205.32.1 to 21.205.47.25421.205.47.2554,094
21221.205.48.0/2021.205.48.1 to 21.205.63.25421.205.63.2554,094
21321.205.64.0/2021.205.64.1 to 21.205.79.25421.205.79.2554,094
21421.205.80.0/2021.205.80.1 to 21.205.95.25421.205.95.2554,094
21521.205.96.0/2021.205.96.1 to 21.205.111.25421.205.111.2554,094
21621.205.112.0/2021.205.112.1 to 21.205.127.25421.205.127.2554,094
21721.205.128.0/2021.205.128.1 to 21.205.143.25421.205.143.2554,094
21821.205.144.0/2021.205.144.1 to 21.205.159.25421.205.159.2554,094
21921.205.160.0/2021.205.160.1 to 21.205.175.25421.205.175.2554,094
22021.205.176.0/2021.205.176.1 to 21.205.191.25421.205.191.2554,094
22121.205.192.0/2021.205.192.1 to 21.205.207.25421.205.207.2554,094
22221.205.208.0/2021.205.208.1 to 21.205.223.25421.205.223.2554,094
22321.205.224.0/2021.205.224.1 to 21.205.239.25421.205.239.2554,094
22421.205.240.0/2021.205.240.1 to 21.205.255.25421.205.255.2554,094
22521.206.0.0/2021.206.0.1 to 21.206.15.25421.206.15.2554,094
22621.206.16.0/2021.206.16.1 to 21.206.31.25421.206.31.2554,094
22721.206.32.0/2021.206.32.1 to 21.206.47.25421.206.47.2554,094
22821.206.48.0/2021.206.48.1 to 21.206.63.25421.206.63.2554,094
22921.206.64.0/2021.206.64.1 to 21.206.79.25421.206.79.2554,094
23021.206.80.0/2021.206.80.1 to 21.206.95.25421.206.95.2554,094
23121.206.96.0/2021.206.96.1 to 21.206.111.25421.206.111.2554,094
23221.206.112.0/2021.206.112.1 to 21.206.127.25421.206.127.2554,094
23321.206.128.0/2021.206.128.1 to 21.206.143.25421.206.143.2554,094
23421.206.144.0/2021.206.144.1 to 21.206.159.25421.206.159.2554,094
23521.206.160.0/2021.206.160.1 to 21.206.175.25421.206.175.2554,094
23621.206.176.0/2021.206.176.1 to 21.206.191.25421.206.191.2554,094
23721.206.192.0/2021.206.192.1 to 21.206.207.25421.206.207.2554,094
23821.206.208.0/2021.206.208.1 to 21.206.223.25421.206.223.2554,094
23921.206.224.0/2021.206.224.1 to 21.206.239.25421.206.239.2554,094
24021.206.240.0/2021.206.240.1 to 21.206.255.25421.206.255.2554,094
24121.207.0.0/2021.207.0.1 to 21.207.15.25421.207.15.2554,094
24221.207.16.0/2021.207.16.1 to 21.207.31.25421.207.31.2554,094
24321.207.32.0/2021.207.32.1 to 21.207.47.25421.207.47.2554,094
24421.207.48.0/2021.207.48.1 to 21.207.63.25421.207.63.2554,094
24521.207.64.0/2021.207.64.1 to 21.207.79.25421.207.79.2554,094
24621.207.80.0/2021.207.80.1 to 21.207.95.25421.207.95.2554,094
24721.207.96.0/2021.207.96.1 to 21.207.111.25421.207.111.2554,094
24821.207.112.0/2021.207.112.1 to 21.207.127.25421.207.127.2554,094
24921.207.128.0/2021.207.128.1 to 21.207.143.25421.207.143.2554,094
25021.207.144.0/2021.207.144.1 to 21.207.159.25421.207.159.2554,094
25121.207.160.0/2021.207.160.1 to 21.207.175.25421.207.175.2554,094
25221.207.176.0/2021.207.176.1 to 21.207.191.25421.207.191.2554,094
25321.207.192.0/2021.207.192.1 to 21.207.207.25421.207.207.2554,094
25421.207.208.0/2021.207.208.1 to 21.207.223.25421.207.223.2554,094
25521.207.224.0/2021.207.224.1 to 21.207.239.25421.207.239.2554,094
25621.207.240.0/2021.207.240.1 to 21.207.255.25421.207.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses